### Method

# EDataServer NamedParameters assign

since: 3.8

#### Declaration [src]

    void
    e_named_parameters_assign (
      ENamedParameters* parameters,
      const ENamedParameters* from
    )

#### Description [src]

Makes content of the `parameters` the same as `from`. Functions clears content of `parameters` if `from` is `NULL`.

Available since: 3.8

#### Parameters

`from`

  Type: `ENamedParameters`

  An `ENamedParameters` to get values from, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.